List analysed recordings
curl --request GET \
--url https://api.pineyard.ai/speech/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"calls": [
{
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Recordings
List analysed recordings
GET
/
speech
/
calls
List analysed recordings
curl --request GET \
--url https://api.pineyard.ai/speech/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"calls": [
{
"id": "<string>",
"status": "UPLOADING",
"fileName": "<string>",
"fileSizeBytes": 123,
"durationSeconds": 123,
"score": 123,
"outcomeLabel": "<string>",
"summary": "<string>",
"errorMessage": "<string>",
"callDate": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"rep": {
"id": "<string>",
"name": "<string>"
},
"scorecard": {
"id": "<string>",
"name": "<string>"
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}Required scope:
speech.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Available options:
UPLOADING, PROCESSING, COMPLETED, FAILED, INGEST_FAILED 
